dbplus_freerlocks
dbplus_getunique
DB++ Functions
PHP Manual

# dbplus_getlock

(PHP 4 >= 4.0.7, PECL dbplus:0.9)

dbplus_getlock — Get a write lock on a tuple

### Description

int dbplus_getlock ( resource `$relation` , string `$tuple` )

Requests a write lock on the specified `tuple` .

### Parameters

`relation`

  A relation opened by dbplus_open().

`tuple`

### Return Values

Returns zero on success or a non-zero error code, especially `DBPLUS_ERR_WLOCKED` on failure.

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### See Also

- dbplus_freelock()
- dbplus_freerlocks()
- dbplus_freealllocks()

dbplus_freerlocks
dbplus_getunique
DB++ Functions
PHP Manual